<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'locations',

    /*
     * Package.
     */
    'package'   => 'notification_schedule',

    /*
     * Modules.
     */
    'modules'   => ['notification_schedule', 'notification_delivered_list'],

    'notification_schedule'       => [
        'model' => [
            'model'                 => \Locations\NotificationSchedule\Models\NotificationSchedule::class,
            'table'                 => 'notification_schedules',
            'presenter'             => \Locations\NotificationSchedule\Repositories\Presenter\NotificationSchedulePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'location_id',  'start_date',  'end_date',  'status',  'description',  'image',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'notification_schedule/notification_schedule',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Locations',
            'package'   => 'NotificationSchedule',
            'module'    => 'NotificationSchedule',
        ],

    ],
    'notification_delivered_list'       => [
        'model' => [
            'model'                 => \Locations\NotificationSchedule\Models\NotificationDeliveredList::class,
            'table'                 => 'notification_delivered_lists',
            'presenter'             => \Locations\NotificationSchedule\Repositories\Presenter\NotificationDeliveredListPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'notification_id',  'client_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'notification_schedule/notification_delivered_list',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Locations',
            'package'   => 'NotificationSchedule',
            'module'    => 'NotificationDeliveredList',
        ],

    ],
];
