<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateNotificationSchedulesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: notification_schedules
         */
        Schema::create('notification_schedules', function ($table) {
            $table->increments('id');
            $table->string('name', 30)->nullable();
            $table->date('location_id')->nullable();
            $table->date('start_date')->nullable();
            $table->integer('end_date')->nullable();
            $table->string('status', 30)->nullable();
            $table->text('description')->nullable();
            $table->text('image')->nullable();
            $table->text('slug')->nullable();
            $table->integer('user_id')->nullable();
            $table->text('user_type')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('notification_schedules');
    }
}
