# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/locations/notification_schedule/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/locations/notification_schedule/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Locations\\NotificationSchedule\\": "packages/locations/notification_schedule/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Locations\NotificationSchedule\Providers\NotificationScheduleServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'NotificationSchedule'  => Locations\NotificationSchedule\Facades\NotificationSchedule::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Locations\\NotificationScheduleTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Locations\NotificationSchedule\Providers\NotificationScheduleServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Locations\NotificationSchedule\Providers\NotificationScheduleServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Locations\NotificationSchedule\Providers\NotificationScheduleServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/notification_schedule/{modulename}

**User**

    http://path-to-route-folder/user/notification_schedule/{modulename}

**Public**

    http://path-to-route-folder/notification_schedules


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/notification_schedule/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/notification_schedule/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/notification_schedule/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/notification_schedule/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/notification_schedule/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/notification_schedule/{modulename}/{slug}
    METHOD: GET