Lavalite package that provides notification_schedule management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `locations/notification_schedule`.

    "locations/notification_schedule": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Locations\NotificationSchedule\Providers\NotificationScheduleServiceProvider::class,

And also add it to alias

    'NotificationSchedule'  => Locations\NotificationSchedule\Facades\NotificationSchedule::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Locations\\NotificationScheduleTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Locations\NotificationSchedule\Providers\NotificationScheduleServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Locations\NotificationSchedule\Providers\NotificationScheduleServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Locations\NotificationSchedule\Providers\NotificationScheduleServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/notification_schedule/{modulename}

**User**

    http://path-to-route-folder/user/notification_schedule/{modulename}

**Public**

    http://path-to-route-folder/notification_schedules


### API endpoints

**List**

    http://path-to-route-folder/api/user/notification_schedule/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/notification_schedule/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/notification_schedule/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/notification_schedule/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/notification_schedule/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/notification_schedule/{modulename}/{slug}
    METHOD: GET