<?php

namespace Locations\NotificationSchedule\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Locations\NotificationSchedule\Interfaces\NotificationDeliveredListRepositoryInterface;

class NotificationDeliveredListPublicController extends BaseController
{
    // use NotificationDeliveredListWorkflow;

    /**
     * Constructor.
     *
     * @param type \Locations\NotificationDeliveredList\Interfaces\NotificationDeliveredListRepositoryInterface $notification_delivered_list
     *
     * @return type
     */
    public function __construct(NotificationDeliveredListRepositoryInterface $notification_delivered_list)
    {
        $this->repository = $notification_delivered_list;
        parent::__construct();
    }

    /**
     * Show notification_delivered_list's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $notification_delivered_lists = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('notification_schedule::notification_delivered_list.names'))
            ->view('notification_schedule::public.notification_delivered_list.index')
            ->data(compact('notification_delivered_lists'))
            ->output();
    }


    /**
     * Show notification_delivered_list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $notification_delivered_list = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($notification_delivered_list->name . trans('notification_schedule::notification_delivered_list.name'))
            ->view('notification_schedule::public.notification_delivered_list.show')
            ->data(compact('notification_delivered_list'))
            ->output();
    }

}
