<?php

namespace Locations\NotificationSchedule;

use User;

class NotificationSchedule
{
    /**
     * $notification_schedule object.
     */
    protected $notification_schedule;

    /**
     * Constructor.
     */
    public function __construct(\Locations\NotificationSchedule\Interfaces\NotificationScheduleRepositoryInterface $notification_schedule)
    {
        $this->notification_schedule = $notification_schedule;
    }

    /**
     * Returns count of notification_schedule.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.notification_schedule.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->notification_schedule->pushCriteria(new \Litepie\Locations\Repositories\Criteria\NotificationScheduleUserCriteria());
        }

        $notification_schedule = $this->notification_schedule->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('notification_schedule::' . $view, compact('notification_schedule'))->render();
    }
}
