<?php

namespace Locations\NotificationSchedule\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NotificationDeliveredListTransformer extends TransformerAbstract
{
    public function transform(\Locations\NotificationSchedule\Models\NotificationDeliveredList $notification_delivered_list)
    {
        return [
            'id'                => $notification_delivered_list->getRouteKey(),
            'key'               => [
                'public'    => $notification_delivered_list->getPublicKey(),
                'route'     => $notification_delivered_list->getRouteKey(),
            ], 
            'notification_id'   => $notification_delivered_list->notification_id,
            'client_id'         => $notification_delivered_list->client_id,
            'deleted_at'        => $notification_delivered_list->deleted_at,
            'url'               => [
                'public'    => trans_url('notification_schedule/'.$notification_delivered_list->getPublicKey()),
                'user'      => guard_url('notification_schedule/notification_delivered_list/'.$notification_delivered_list->getRouteKey()),
            ], 
            'status'            => trans('app.'.$notification_delivered_list->status),
            'created_at'        => format_date($notification_delivered_list->created_at),
            'updated_at'        => format_date($notification_delivered_list->updated_at),
        ];
    }
}