<?php

namespace Locations\NotificationSchedule\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NotificationScheduleTransformer extends TransformerAbstract
{
    public function transform(\Locations\NotificationSchedule\Models\NotificationSchedule $notification_schedule)
    {
        return [
            'id'                => $notification_schedule->getRouteKey(),
            'key'               => [
                'public'    => $notification_schedule->getPublicKey(),
                'route'     => $notification_schedule->getRouteKey(),
            ], 
            'name'              => $notification_schedule->name,
            'location_id'       => $notification_schedule->location_id,
            'start_date'        => $notification_schedule->start_date,
            'end_date'          => $notification_schedule->end_date,
            'description'       => $notification_schedule->description,
            'image'             => $notification_schedule->image,
            'slug'              => $notification_schedule->slug,
            'user_id'           => $notification_schedule->user_id,
            'user_type'         => $notification_schedule->user_type,
            'deleted_at'        => $notification_schedule->deleted_at,
            'url'               => [
                'public'    => trans_url('notification_schedule/'.$notification_schedule->getPublicKey()),
                'user'      => guard_url('notification_schedule/notification_schedule/'.$notification_schedule->getRouteKey()),
            ], 
            'status'            => trans('app.'.$notification_schedule->status),
            'created_at'        => format_date($notification_schedule->created_at),
            'updated_at'        => format_date($notification_schedule->updated_at),
        ];
    }
}